# PhasicFlow: src/Particles/GrainParticles/grainParticles/grainParticlesKernels.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

grainParticlesKernels.hpp File Reference
Include dependency graph for grainParticlesKernels.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow
| pFlow::grainParticlesKernels

## Functions

void

addMassDiamInertiaProp (deviceViewType1D< uint32 > shapeIndex, deviceViewType1D< real > mass, deviceViewType1D< real > diameter, deviceViewType1D< real > coarseGrainFactor, deviceViewType1D< real > I, deviceViewType1D< uint32 > propertyId, pFlagTypeDevice incld, deviceViewType1D< real > src_mass, deviceViewType1D< real > src_grainDiameter, deviceViewType1D< real > src_I, deviceViewType1D< uint32 > src_propertyId)

void | acceleration (const realx3 &g, const deviceViewType1D< real > &mass, const deviceViewType1D< realx3 > &force, const deviceViewType1D< real > &I, const deviceViewType1D< realx3 > &torque, const pFlagTypeDevice &incld, deviceViewType1D< realx3 > lAcc, deviceViewType1D< realx3 > rAcc)